Bug 1449392 - Benchmark timings are incorrect for all workers in evm.log
Summary: Benchmark timings are incorrect for all workers in evm.log
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.7.3
Assignee: Joe Rafaniello
QA Contact: Tasos Papaioannou
URL:
Whiteboard: provider
Depends On: 1424716
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-09 21:16 UTC by Satoe Imaishi
Modified: 2017-06-28 15:02 UTC (History)
9 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1424716
Environment:
Last Closed: 2017-06-28 15:02:38 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 Tasos Papaioannou 2017-06-09 16:29:17 UTC
Verified on 5.7.3.1. With ems_refresh refresh_interval changed from 24.hours to 15.minutes in the configuration settings, then running the ems_refresh_timings.rb script (attached to https://bugzilla.redhat.com/show_bug.cgi?id=1424716):

****
# ruby ems_refresh_timings.rb 
Worker PID:         19196
Refresh start time: 2017-06-09T12:03:46.339900
Refresh end time:   2017-06-09T12:04:06.619206
Provider:           Redhat::InfraManager
EMS Name:           rhevm36
Refresh type:       full
Refresh timings:
  fetch_all:                           9.28699
  collect_inventory_for_targets:       10.75634
  parse_inventory:                     0.34528
  parse_targeted_inventory:            0.34535
  save_inventory:                      9.17690
  ems_refresh:                         20.27908

Worker PID:         19196
Refresh start time: 2017-06-09T12:14:27.394529
Refresh end time:   2017-06-09T12:14:28.899959
Provider:           Redhat::InfraManager
EMS Name:           rhevm36
Refresh type:       targeted
Refresh targets:    {"Vm"=>"test-action-abcx"}
Refresh timings:
  fetch_vm_data:                       0.73634
  collect_inventory_for_targets:       1.18952
  parse_inventory:                     0.00039
  parse_targeted_inventory:            0.00045
  save_inventory:                      0.31493
  ems_refresh:                         1.50524

Worker PID:         19196
Refresh start time: 2017-06-09T12:14:58.995512
Refresh end time:   2017-06-09T12:15:00.283176
Provider:           Redhat::InfraManager
EMS Name:           rhevm36
Refresh type:       targeted
Refresh targets:    {"Vm"=>"test-action-abcx"}
Refresh timings:
  fetch_vm_data:                       0.65726
  collect_inventory_for_targets:       1.11256
  parse_inventory:                     0.00033
  parse_targeted_inventory:            0.00045
  save_inventory:                      0.17408
  ems_refresh:                         1.28749

Worker PID:         19196
Refresh start time: 2017-06-09T12:19:01.139486
Refresh end time:   2017-06-09T12:19:17.272151
Provider:           Redhat::InfraManager
EMS Name:           rhevm36
Refresh type:       full
Refresh timings:
  fetch_all:                           8.81348
  collect_inventory_for_targets:       10.35832
  parse_inventory:                     0.01822
  parse_targeted_inventory:            0.01834
  save_inventory:                      5.75519
  ems_refresh:                         16.13217

Worker PID:         19196
Refresh start time: 2017-06-09T12:19:57.391432
Refresh end time:   2017-06-09T12:19:58.782598
Provider:           Redhat::InfraManager
EMS Name:           rhevm36
Refresh type:       targeted
Refresh targets:    {"Vm"=>"test-action-abcx"}
Refresh timings:
  fetch_vm_data:                       0.71988
  collect_inventory_for_targets:       1.17599
  parse_inventory:                     0.00033
  parse_targeted_inventory:            0.00039
  save_inventory:                      0.21420
  ems_refresh:                         1.39094

Worker PID:         19196
Refresh start time: 2017-06-09T12:21:29.005245
Refresh end time:   2017-06-09T12:21:31.247505
Provider:           Redhat::InfraManager
EMS Name:           rhevm36
Refresh type:       targeted
Refresh targets:    {"Vm"=>"test-action-abcx"}
Refresh timings:
  fetch_vm_data:                       1.03380
  collect_inventory_for_targets:       2.02452
  parse_inventory:                     0.00033
  parse_targeted_inventory:            0.00038
  save_inventory:                      0.21658
  ems_refresh:                         2.24205

Worker PID:         19196
Refresh start time: 2017-06-09T12:23:41.449445
Refresh end time:   2017-06-09T12:23:42.593218
Provider:           Redhat::InfraManager
EMS Name:           rhevm36
Refresh type:       targeted
Refresh targets:    {"Vm"=>"test-action-abcx"}
Refresh timings:
  fetch_vm_data:                       0.35081
  collect_inventory_for_targets:       0.82291
  parse_inventory:                     0.00022
  parse_targeted_inventory:            0.00031
  save_inventory:                      0.31996
  ems_refresh:                         1.14357

Worker PID:         19196
Refresh start time: 2017-06-09T12:24:02.721544
Refresh end time:   2017-06-09T12:24:19.952539
Provider:           Redhat::InfraManager
EMS Name:           rhevm36
Refresh type:       full
Refresh timings:
  fetch_all:                           9.85878
  collect_inventory_for_targets:       10.40103
  parse_inventory:                     0.02871
  parse_targeted_inventory:            0.02878
  save_inventory:                      6.80064
  ems_refresh:                         17.23075
****

The timings aren't increasing after each refresh, and only the keys appropriate for an ems refresh are showing.

Comment 4 errata-xmlrpc 2017-06-28 15:02:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.